CVE-1999-0400
CVSS4.6
发布时间 :1999-01-26 00:00:00
修订时间 :2008-09-05 16:17:11
NMCOES    

[原文]Denial of service in Linux 2.2.0 running the ldd command on a core file.


[CNNVD]Linux ldd核心漏洞(CNNVD-199901-053)

        Linux 2.2.0在核心文件上运行ldd命令造成拒绝服务。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0400
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-0400
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199901-053
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/344
(VENDOR_ADVISORY)  BID  344

- 漏洞信息

Linux ldd核心漏洞
中危 其他
1999-01-26 00:00:00 2005-10-20 00:00:00
本地  
        Linux 2.2.0在核心文件上运行ldd命令造成拒绝服务。

- 公告与补丁

        Upgrade to any linux kernel above 2.2.0.

- 漏洞信息 (19272)

Linux kernel 2.2 ldd core Vulnerability (EDBID:19272)
linux local
1999-01-26 Verified
0 Dan Burcaw
N/A [点击下载]
source: http://www.securityfocus.com/bid/344/info


Due to a rare and subtle bug in the 2.2.0 kernel, a linux machine can be forced to reboot by an unpriviliged local user. The reason for this is because of the invalid ELF core layout and the fact that munmap wipes out a vital page table entry.

Only kernel 2.2.0 is vulnerable to this.


Take any core file,

[user@box tmp]$ ldd core

[reboot] 		

- 漏洞信息

5918
Linux Kernel ldd Local DoS
Local Access Required Denial of Service
Loss of Availability Upgrade
Exploit Public Vendor Verified

- 漏洞描述

- 时间线

1999-01-26 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.2.ac1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Linux ldd core Vulnerability
Failure to Handle Exceptional Conditions 344
No Yes
1999-01-26 12:00:00 2009-07-11 12:16:00
First posted to the Linux Kernel Mailing List by Dan Burcaw on January 26, 1999.

- 受影响的程序版本

Linux kernel 2.2

- 漏洞讨论

Due to a rare and subtle bug in the 2.2.0 kernel, a linux machine can be forced to reboot by an unpriviliged local user. The reason for this is because of the invalid ELF core layout and the fact that munmap wipes out a vital page table entry.

Only kernel 2.2.0 is vulnerable to this.

- 漏洞利用

Take any core file,

[user@box tmp]$ ldd core

[reboot]

- 解决方案

Upgrade to any linux kernel above 2.2.0.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站